package com.chenyang.nse.bussiness.entity.db;

public class TypeInfo {
   private String typename;
   private Integer datatype;
   private Integer precision;
   private String literalprefix;
   private String literalsuffix;
   private String createparams;
   private Short nullable;
   private Boolean casesensitive;
   private Short searchable;
   private Boolean unsignedattribute;
   private Boolean fixedprecscale;
   private Boolean autoincrement;
   private String localtypename;
   private Short minimumscale;
   private Short maximunscale;
   private Integer sqldatatype;
   private Integer sqldatatimesub;
   private Integer numprecradix;

   public TypeInfo() {
   }

   public TypeInfo(String typename, Integer datatype, Integer precision, String literalprefix, String literalsuffix, String createparams, Short nullable, Boolean casesensitive, Short searchable, Boolean unsignedattribute, Boolean fixedprecscale, Boolean autoincrement, String localtypename, Short minimumscale, Short maximunscale, Integer sqldatatype, Integer sqldatatimesub, Integer numprecradix) {
      this.typename = typename;
      this.datatype = datatype;
      this.precision = precision;
      this.literalprefix = literalprefix;
      this.literalsuffix = literalsuffix;
      this.createparams = createparams;
      this.nullable = nullable;
      this.casesensitive = casesensitive;
      this.searchable = searchable;
      this.unsignedattribute = unsignedattribute;
      this.fixedprecscale = fixedprecscale;
      this.autoincrement = autoincrement;
      this.localtypename = localtypename;
      this.minimumscale = minimumscale;
      this.maximunscale = maximunscale;
      this.sqldatatype = sqldatatype;
      this.sqldatatimesub = sqldatatimesub;
      this.numprecradix = numprecradix;
   }

   public String getTypename() {
      return this.typename;
   }

   public void setTypename(String typename) {
      this.typename = typename;
   }

   public Integer getDatatype() {
      return this.datatype;
   }

   public void setDatatype(Integer datatype) {
      this.datatype = datatype;
   }

   public Integer getPrecision() {
      return this.precision;
   }

   public void setPrecision(Integer precision) {
      this.precision = precision;
   }

   public String getLiteralprefix() {
      return this.literalprefix;
   }

   public void setLiteralprefix(String literalprefix) {
      this.literalprefix = literalprefix;
   }

   public String getLiteralsuffix() {
      return this.literalsuffix;
   }

   public void setLiteralsuffix(String literalsuffix) {
      this.literalsuffix = literalsuffix;
   }

   public String getCreateparams() {
      return this.createparams;
   }

   public void setCreateparams(String createparams) {
      this.createparams = createparams;
   }

   public Short getNullable() {
      return this.nullable;
   }

   public void setNullable(Short nullable) {
      this.nullable = nullable;
   }

   public Boolean getCasesensitive() {
      return this.casesensitive;
   }

   public void setCasesensitive(Boolean casesensitive) {
      this.casesensitive = casesensitive;
   }

   public Short getSearchable() {
      return this.searchable;
   }

   public void setSearchable(Short searchable) {
      this.searchable = searchable;
   }

   public Boolean getUnsignedattribute() {
      return this.unsignedattribute;
   }

   public void setUnsignedattribute(Boolean unsignedattribute) {
      this.unsignedattribute = unsignedattribute;
   }

   public Boolean getFixedprecscale() {
      return this.fixedprecscale;
   }

   public void setFixedprecscale(Boolean fixedprecscale) {
      this.fixedprecscale = fixedprecscale;
   }

   public Boolean getAutoincrement() {
      return this.autoincrement;
   }

   public void setAutoincrement(Boolean autoincrement) {
      this.autoincrement = autoincrement;
   }

   public String getLocaltypename() {
      return this.localtypename;
   }

   public void setLocaltypename(String localtypename) {
      this.localtypename = localtypename;
   }

   public Short getMinimumscale() {
      return this.minimumscale;
   }

   public void setMinimumscale(Short minimumscale) {
      this.minimumscale = minimumscale;
   }

   public Short getMaximunscale() {
      return this.maximunscale;
   }

   public void setMaximunscale(Short maximunscale) {
      this.maximunscale = maximunscale;
   }

   public Integer getSqldatatype() {
      return this.sqldatatype;
   }

   public void setSqldatatype(Integer sqldatatype) {
      this.sqldatatype = sqldatatype;
   }

   public Integer getSqldatatimesub() {
      return this.sqldatatimesub;
   }

   public void setSqldatatimesub(Integer sqldatatimesub) {
      this.sqldatatimesub = sqldatatimesub;
   }

   public Integer getNumprecradix() {
      return this.numprecradix;
   }

   public void setNumprecradix(Integer numprecradix) {
      this.numprecradix = numprecradix;
   }

   public String toString() {
      return "TypeInfo [typename=" + this.typename + ", datatype=" + this.datatype + ", precision=" + this.precision + ", literalprefix=" + this.literalprefix + ", literalsuffix=" + this.literalsuffix + ", createparams=" + this.createparams + ", nullable=" + this.nullable + ", casesensitive=" + this.casesensitive + ", searchable=" + this.searchable + ", unsignedattribute=" + this.unsignedattribute + ", fixedprecscale=" + this.fixedprecscale + ", autoincrement=" + this.autoincrement + ", localtypename=" + this.localtypename + ", minimumscale=" + this.minimumscale + ", maximunscale=" + this.maximunscale + ", sqldatatype=" + this.sqldatatype + ", sqldatatimesub=" + this.sqldatatimesub + ", numprecradix=" + this.numprecradix + "]";
   }
}
